searchData={"items":[{"type":"module","title":"ReflectOS.Console","doc":"ReflectOS.Console keeps the contexts that define your domain\nand business logic.\n\nContexts are also responsible for managing your data, regardless\nif it comes from the database, an external API or others.","ref":"ReflectOS.Console.html"},{"type":"module","title":"ReflectOS.Console.LiveHooks.Nav","doc":"","ref":"ReflectOS.Console.LiveHooks.Nav.html"},{"type":"function","title":"ReflectOS.Console.LiveHooks.Nav.on_mount/4","doc":"","ref":"ReflectOS.Console.LiveHooks.Nav.html#on_mount/4"},{"type":"module","title":"ReflectOS.ConsoleWeb","doc":"The entrypoint for defining your web interface, such\nas controllers, components, channels, and so on.\n\nThis can be used in your application as:\n\n    use ReflectOS.ConsoleWeb, :controller\n    use ReflectOS.ConsoleWeb, :html\n\nThe definitions below will be executed for every controller,\ncomponent, etc, so keep them short and clean, focused\non imports, uses and aliases.\n\nDo NOT define functions inside the quoted expressions\nbelow. Instead, define additional modules and import\nthose modules here.","ref":"ReflectOS.ConsoleWeb.html"},{"type":"macro","title":"ReflectOS.ConsoleWeb.__using__/1","doc":"When used, dispatch to the appropriate controller/live_view/etc.","ref":"ReflectOS.ConsoleWeb.html#__using__/1"},{"type":"function","title":"ReflectOS.ConsoleWeb.channel/0","doc":"","ref":"ReflectOS.ConsoleWeb.html#channel/0"},{"type":"function","title":"ReflectOS.ConsoleWeb.controller/0","doc":"","ref":"ReflectOS.ConsoleWeb.html#controller/0"},{"type":"function","title":"ReflectOS.ConsoleWeb.html/0","doc":"","ref":"ReflectOS.ConsoleWeb.html#html/0"},{"type":"function","title":"ReflectOS.ConsoleWeb.live_component/0","doc":"","ref":"ReflectOS.ConsoleWeb.html#live_component/0"},{"type":"function","title":"ReflectOS.ConsoleWeb.live_view/0","doc":"","ref":"ReflectOS.ConsoleWeb.html#live_view/0"},{"type":"function","title":"ReflectOS.ConsoleWeb.router/0","doc":"","ref":"ReflectOS.ConsoleWeb.html#router/0"},{"type":"function","title":"ReflectOS.ConsoleWeb.static_paths/0","doc":"","ref":"ReflectOS.ConsoleWeb.html#static_paths/0"},{"type":"function","title":"ReflectOS.ConsoleWeb.verified_routes/0","doc":"","ref":"ReflectOS.ConsoleWeb.html#verified_routes/0"},{"type":"module","title":"ReflectOS.ConsoleWeb.CoreComponents","doc":"Provides core UI components.\n\nAt first glance, this module may seem daunting, but its goal is to provide\ncore building blocks for your application, such as modals, tables, and\nforms. The components consist mostly of markup and are well-documented\nwith doc strings and declarative assigns. You may customize and style\nthem in any way you want, based on your application growth and needs.\n\nThe default components use Tailwind CSS, a utility-first CSS framework.\nSee the [Tailwind CSS documentation](https://tailwindcss.com) to learn\nhow to customize them or feel free to swap in another framework altogether.\n\nIcons are provided by [heroicons](https://heroicons.com). See `icon/1` for usage.","ref":"ReflectOS.ConsoleWeb.CoreComponents.html"},{"type":"function","title":"ReflectOS.ConsoleWeb.CoreComponents.button/1","doc":"Renders a button.","ref":"ReflectOS.ConsoleWeb.CoreComponents.html#button/1"},{"type":"function","title":"Examples - ReflectOS.ConsoleWeb.CoreComponents.button/1","doc":"<.button>Send!</.button>\n    <.button phx-click=\"go\" class=\"ml-2\">Send!</.button>","ref":"ReflectOS.ConsoleWeb.CoreComponents.html#button/1-examples"},{"type":"function","title":"Attributes - ReflectOS.ConsoleWeb.CoreComponents.button/1","doc":"* `type` (`:string`) - Defaults to `nil`.\n* `class` (`:string`) - Defaults to `nil`.\n* Global attributes are accepted. Supports all globals plus: `[\"disabled\", \"form\", \"name\", \"value\"]`.","ref":"ReflectOS.ConsoleWeb.CoreComponents.html#button/1-attributes"},{"type":"function","title":"Slots - ReflectOS.ConsoleWeb.CoreComponents.button/1","doc":"* `inner_block` (required)","ref":"ReflectOS.ConsoleWeb.CoreComponents.html#button/1-slots"},{"type":"function","title":"ReflectOS.ConsoleWeb.CoreComponents.drawer/1","doc":"Renders a drawer.","ref":"ReflectOS.ConsoleWeb.CoreComponents.html#drawer/1"},{"type":"function","title":"Examples - ReflectOS.ConsoleWeb.CoreComponents.drawer/1","doc":"<.drawer id=\"confirm-modal\">\n      This is a modal.\n    </.drawer>\n\nJS commands may be passed to the `:on_cancel` to configure\nthe closing/cancel event, for example:\n\n    <.drawer id=\"confirm\" on_cancel={JS.navigate(~p\"/posts\")}>\n      This is another modal.\n    </.drawer>","ref":"ReflectOS.ConsoleWeb.CoreComponents.html#drawer/1-examples"},{"type":"function","title":"Attributes - ReflectOS.ConsoleWeb.CoreComponents.drawer/1","doc":"* `id` (`:string`) (required)\n* `show` (`:boolean`) - Defaults to `false`.\n* `on_cancel` (`Phoenix.LiveView.JS`) - Defaults to `%Phoenix.LiveView.JS{ops: []}`.","ref":"ReflectOS.ConsoleWeb.CoreComponents.html#drawer/1-attributes"},{"type":"function","title":"Slots - ReflectOS.ConsoleWeb.CoreComponents.drawer/1","doc":"* `inner_block` (required)","ref":"ReflectOS.ConsoleWeb.CoreComponents.html#drawer/1-slots"},{"type":"function","title":"ReflectOS.ConsoleWeb.CoreComponents.flash/1","doc":"Renders flash notices.","ref":"ReflectOS.ConsoleWeb.CoreComponents.html#flash/1"},{"type":"function","title":"Examples - ReflectOS.ConsoleWeb.CoreComponents.flash/1","doc":"<.flash kind={:info} flash={@flash} />\n    <.flash kind={:info} phx-mounted={show(\"#flash\")}>Welcome Back!</.flash>","ref":"ReflectOS.ConsoleWeb.CoreComponents.html#flash/1-examples"},{"type":"function","title":"Attributes - ReflectOS.ConsoleWeb.CoreComponents.flash/1","doc":"* `id` (`:string`) - the optional id of flash container.\n* `flash` (`:map`) - the map of flash messages to display. Defaults to `%{}`.\n* `title` (`:string`) - Defaults to `nil`.\n* `kind` (`:atom`) - used for styling and flash lookup.Must be one of `:info`, or `:error`.\n* Global attributes are accepted. the arbitrary HTML attributes to add to the flash container.","ref":"ReflectOS.ConsoleWeb.CoreComponents.html#flash/1-attributes"},{"type":"function","title":"Slots - ReflectOS.ConsoleWeb.CoreComponents.flash/1","doc":"* `inner_block` - the optional inner block that renders the flash message.","ref":"ReflectOS.ConsoleWeb.CoreComponents.html#flash/1-slots"},{"type":"function","title":"ReflectOS.ConsoleWeb.CoreComponents.flash_group/1","doc":"Shows the flash group with standard titles and content.","ref":"ReflectOS.ConsoleWeb.CoreComponents.html#flash_group/1"},{"type":"function","title":"Examples - ReflectOS.ConsoleWeb.CoreComponents.flash_group/1","doc":"<.flash_group flash={@flash} />","ref":"ReflectOS.ConsoleWeb.CoreComponents.html#flash_group/1-examples"},{"type":"function","title":"Attributes - ReflectOS.ConsoleWeb.CoreComponents.flash_group/1","doc":"* `flash` (`:map`) (required) - the map of flash messages.\n* `id` (`:string`) - the optional id of flash container. Defaults to `\"flash-group\"`.","ref":"ReflectOS.ConsoleWeb.CoreComponents.html#flash_group/1-attributes"},{"type":"function","title":"ReflectOS.ConsoleWeb.CoreComponents.hide/2","doc":"","ref":"ReflectOS.ConsoleWeb.CoreComponents.html#hide/2"},{"type":"function","title":"ReflectOS.ConsoleWeb.CoreComponents.hide_drawer/2","doc":"","ref":"ReflectOS.ConsoleWeb.CoreComponents.html#hide_drawer/2"},{"type":"function","title":"ReflectOS.ConsoleWeb.CoreComponents.icon/1","doc":"Renders a [Heroicon](https://heroicons.com).\n\nHeroicons come in three styles – outline, solid, and mini.\nBy default, the outline style is used, but solid and mini may\nbe applied by using the `-solid` and `-mini` suffix.\n\nYou can customize the size and colors of the icons by setting\nwidth, height, and background color classes.\n\nIcons are extracted from the `deps/heroicons` directory and bundled within\nyour compiled app.css by the plugin in your `assets/tailwind.config.js`.","ref":"ReflectOS.ConsoleWeb.CoreComponents.html#icon/1"},{"type":"function","title":"Examples - ReflectOS.ConsoleWeb.CoreComponents.icon/1","doc":"<.icon name=\"hero-x-mark-solid\" />\n    <.icon name=\"hero-arrow-path\" class=\"ml-1 w-3 h-3 animate-spin\" />","ref":"ReflectOS.ConsoleWeb.CoreComponents.html#icon/1-examples"},{"type":"function","title":"Attributes - ReflectOS.ConsoleWeb.CoreComponents.icon/1","doc":"* `name` (`:string`)\n* `raw` (`:string`)\n* `class` (`:string`) - Defaults to `nil`.","ref":"ReflectOS.ConsoleWeb.CoreComponents.html#icon/1-attributes"},{"type":"function","title":"ReflectOS.ConsoleWeb.CoreComponents.opts_to_attrs/1","doc":"","ref":"ReflectOS.ConsoleWeb.CoreComponents.html#opts_to_attrs/1"},{"type":"function","title":"ReflectOS.ConsoleWeb.CoreComponents.raw_icon/2","doc":"","ref":"ReflectOS.ConsoleWeb.CoreComponents.html#raw_icon/2"},{"type":"function","title":"ReflectOS.ConsoleWeb.CoreComponents.show/2","doc":"","ref":"ReflectOS.ConsoleWeb.CoreComponents.html#show/2"},{"type":"function","title":"ReflectOS.ConsoleWeb.CoreComponents.show_drawer/2","doc":"","ref":"ReflectOS.ConsoleWeb.CoreComponents.html#show_drawer/2"},{"type":"module","title":"ReflectOS.ConsoleWeb.DashboardLive.Index","doc":"","ref":"ReflectOS.ConsoleWeb.DashboardLive.Index.html"},{"type":"function","title":"ReflectOS.ConsoleWeb.DashboardLive.Index.render/1","doc":"","ref":"ReflectOS.ConsoleWeb.DashboardLive.Index.html#render/1"},{"type":"module","title":"ReflectOS.ConsoleWeb.Endpoint","doc":"","ref":"ReflectOS.ConsoleWeb.Endpoint.html"},{"type":"function","title":"ReflectOS.ConsoleWeb.Endpoint.broadcast/3","doc":"","ref":"ReflectOS.ConsoleWeb.Endpoint.html#broadcast/3"},{"type":"function","title":"ReflectOS.ConsoleWeb.Endpoint.broadcast!/3","doc":"","ref":"ReflectOS.ConsoleWeb.Endpoint.html#broadcast!/3"},{"type":"function","title":"ReflectOS.ConsoleWeb.Endpoint.broadcast_from/4","doc":"","ref":"ReflectOS.ConsoleWeb.Endpoint.html#broadcast_from/4"},{"type":"function","title":"ReflectOS.ConsoleWeb.Endpoint.broadcast_from!/4","doc":"","ref":"ReflectOS.ConsoleWeb.Endpoint.html#broadcast_from!/4"},{"type":"function","title":"ReflectOS.ConsoleWeb.Endpoint.call/2","doc":"","ref":"ReflectOS.ConsoleWeb.Endpoint.html#call/2"},{"type":"function","title":"ReflectOS.ConsoleWeb.Endpoint.child_spec/1","doc":"Returns the child specification to start the endpoint\nunder a supervision tree.","ref":"ReflectOS.ConsoleWeb.Endpoint.html#child_spec/1"},{"type":"function","title":"ReflectOS.ConsoleWeb.Endpoint.config/2","doc":"Returns the endpoint configuration for `key`\n\nReturns `default` if the key does not exist.","ref":"ReflectOS.ConsoleWeb.Endpoint.html#config/2"},{"type":"function","title":"ReflectOS.ConsoleWeb.Endpoint.config_change/2","doc":"Reloads the configuration given the application environment changes.","ref":"ReflectOS.ConsoleWeb.Endpoint.html#config_change/2"},{"type":"function","title":"ReflectOS.ConsoleWeb.Endpoint.host/0","doc":"Returns the host for the given endpoint.","ref":"ReflectOS.ConsoleWeb.Endpoint.html#host/0"},{"type":"function","title":"ReflectOS.ConsoleWeb.Endpoint.init/1","doc":"","ref":"ReflectOS.ConsoleWeb.Endpoint.html#init/1"},{"type":"function","title":"ReflectOS.ConsoleWeb.Endpoint.local_broadcast/3","doc":"","ref":"ReflectOS.ConsoleWeb.Endpoint.html#local_broadcast/3"},{"type":"function","title":"ReflectOS.ConsoleWeb.Endpoint.local_broadcast_from/4","doc":"","ref":"ReflectOS.ConsoleWeb.Endpoint.html#local_broadcast_from/4"},{"type":"function","title":"ReflectOS.ConsoleWeb.Endpoint.path/1","doc":"Generates the path information when routing to this endpoint.","ref":"ReflectOS.ConsoleWeb.Endpoint.html#path/1"},{"type":"function","title":"ReflectOS.ConsoleWeb.Endpoint.script_name/0","doc":"Generates the script name.","ref":"ReflectOS.ConsoleWeb.Endpoint.html#script_name/0"},{"type":"function","title":"ReflectOS.ConsoleWeb.Endpoint.server_info/1","doc":"Returns the address and port that the server is running on","ref":"ReflectOS.ConsoleWeb.Endpoint.html#server_info/1"},{"type":"function","title":"ReflectOS.ConsoleWeb.Endpoint.start_link/1","doc":"Starts the endpoint supervision tree.\n\nAll other options are merged into the endpoint configuration.","ref":"ReflectOS.ConsoleWeb.Endpoint.html#start_link/1"},{"type":"function","title":"ReflectOS.ConsoleWeb.Endpoint.static_integrity/1","doc":"Generates a base64-encoded cryptographic hash (sha512) to a static file\nin `priv/static`. Meant to be used for Subresource Integrity with CDNs.","ref":"ReflectOS.ConsoleWeb.Endpoint.html#static_integrity/1"},{"type":"function","title":"ReflectOS.ConsoleWeb.Endpoint.static_lookup/1","doc":"Returns a two item tuple with the first item being the `static_path`\nand the second item being the `static_integrity`.","ref":"ReflectOS.ConsoleWeb.Endpoint.html#static_lookup/1"},{"type":"function","title":"ReflectOS.ConsoleWeb.Endpoint.static_path/1","doc":"Generates a route to a static file in `priv/static`.","ref":"ReflectOS.ConsoleWeb.Endpoint.html#static_path/1"},{"type":"function","title":"ReflectOS.ConsoleWeb.Endpoint.static_url/0","doc":"Generates the static URL without any path information.\n\nIt uses the configuration under `:static_url` to generate\nsuch. It falls back to `:url` if `:static_url` is not set.","ref":"ReflectOS.ConsoleWeb.Endpoint.html#static_url/0"},{"type":"function","title":"ReflectOS.ConsoleWeb.Endpoint.struct_url/0","doc":"Generates the endpoint base URL but as a `URI` struct.\n\nIt uses the configuration under `:url` to generate such.\nUseful for manipulating the URL data and passing it to\nURL helpers.","ref":"ReflectOS.ConsoleWeb.Endpoint.html#struct_url/0"},{"type":"function","title":"ReflectOS.ConsoleWeb.Endpoint.subscribe/2","doc":"","ref":"ReflectOS.ConsoleWeb.Endpoint.html#subscribe/2"},{"type":"function","title":"ReflectOS.ConsoleWeb.Endpoint.unsubscribe/1","doc":"","ref":"ReflectOS.ConsoleWeb.Endpoint.html#unsubscribe/1"},{"type":"function","title":"ReflectOS.ConsoleWeb.Endpoint.url/0","doc":"Generates the endpoint base URL without any path information.\n\nIt uses the configuration under `:url` to generate such.","ref":"ReflectOS.ConsoleWeb.Endpoint.html#url/0"},{"type":"module","title":"ReflectOS.ConsoleWeb.ErrorHTML","doc":"This module is invoked by your endpoint in case of errors on HTML requests.\n\nSee config/config.exs.","ref":"ReflectOS.ConsoleWeb.ErrorHTML.html"},{"type":"function","title":"ReflectOS.ConsoleWeb.ErrorHTML.render/2","doc":"","ref":"ReflectOS.ConsoleWeb.ErrorHTML.html#render/2"},{"type":"module","title":"ReflectOS.ConsoleWeb.ErrorJSON","doc":"This module is invoked by your endpoint in case of errors on JSON requests.\n\nSee config/config.exs.","ref":"ReflectOS.ConsoleWeb.ErrorJSON.html"},{"type":"function","title":"ReflectOS.ConsoleWeb.ErrorJSON.render/2","doc":"","ref":"ReflectOS.ConsoleWeb.ErrorJSON.html#render/2"},{"type":"module","title":"ReflectOS.ConsoleWeb.FormComponents","doc":"Provides form UI components.","ref":"ReflectOS.ConsoleWeb.FormComponents.html"},{"type":"function","title":"ReflectOS.ConsoleWeb.FormComponents.config_form/1","doc":"Config Form","ref":"ReflectOS.ConsoleWeb.FormComponents.html#config_form/1"},{"type":"function","title":"Attributes - ReflectOS.ConsoleWeb.FormComponents.config_form/1","doc":"* `for` (`:any`) (required) - the data structure for the form.\n* `as` (`:any`) - the server side parameter to collect all input under. Defaults to `nil`.\n* `config_options` (`:list`) - The list of optoins for this configuration.\n* Global attributes are accepted. the arbitrary HTML attributes to apply to the form tag. Supports all globals plus: `[\"autocomplete\", \"name\", \"rel\", \"action\", \"enctype\", \"method\", \"novalidate\", \"target\", \"multipart\"]`.","ref":"ReflectOS.ConsoleWeb.FormComponents.html#config_form/1-attributes"},{"type":"function","title":"Slots - ReflectOS.ConsoleWeb.FormComponents.config_form/1","doc":"* `actions` - the slot for form actions, such as a submit button.","ref":"ReflectOS.ConsoleWeb.FormComponents.html#config_form/1-slots"},{"type":"function","title":"ReflectOS.ConsoleWeb.FormComponents.error/1","doc":"Generates a generic error message.","ref":"ReflectOS.ConsoleWeb.FormComponents.html#error/1"},{"type":"function","title":"Slots - ReflectOS.ConsoleWeb.FormComponents.error/1","doc":"* `inner_block` (required)","ref":"ReflectOS.ConsoleWeb.FormComponents.html#error/1-slots"},{"type":"function","title":"ReflectOS.ConsoleWeb.FormComponents.input/1","doc":"Renders an input with label and error messages.\n\nA `Phoenix.HTML.FormField` may be passed as argument,\nwhich is used to retrieve the input name, id, and values.\nOtherwise all attributes may be passed explicitly.","ref":"ReflectOS.ConsoleWeb.FormComponents.html#input/1"},{"type":"function","title":"Types - ReflectOS.ConsoleWeb.FormComponents.input/1","doc":"This function accepts all HTML input types, considering that:\n\n  * You may also set `type=\"select\"` to render a ` ` tag\n\n  * `type=\"checkbox\"` is used exclusively to render boolean values\n\n  * For live file uploads, see `Phoenix.Component.live_file_input/1`\n\nSee https://developer.mozilla.org/en-US/docs/Web/HTML/Element/input\nfor more information. Unsupported types, such as hidden and radio,\nare best written directly in your templates.","ref":"ReflectOS.ConsoleWeb.FormComponents.html#input/1-types"},{"type":"function","title":"Examples - ReflectOS.ConsoleWeb.FormComponents.input/1","doc":"<.input field={@form[:email]} type=\"email\" />\n    <.input name=\"my-input\" errors={[\"oh no!\"]} />","ref":"ReflectOS.ConsoleWeb.FormComponents.html#input/1-examples"},{"type":"function","title":"Attributes - ReflectOS.ConsoleWeb.FormComponents.input/1","doc":"* `id` (`:any`) - Defaults to `nil`.\n* `name` (`:any`)\n* `label` (`:string`) - Defaults to `nil`.\n* `value` (`:any`)\n* `type` (`:string`) - Defaults to `\"text\"`.\n* `field` (`Phoenix.HTML.FormField`) - a form field struct retrieved from the form, for example: @form[:email].\n* `errors` (`:list`) - Defaults to `[]`.\n* `checked` (`:boolean`) - the checked flag for checkbox inputs.\n* `prompt` (`:string`) - the prompt for select inputs. Defaults to `nil`.\n* `options` (`:list`) - the options to pass to Phoenix.HTML.Form.options_for_select/2.\n* `multiple` (`:boolean`) - the multiple flag for select inputs. Defaults to `false`.\n* `hidden?` (`:boolean`) - Determines whether the fields should be displayed. Defaults to `false`.\n* Global attributes are accepted. Supports all globals plus: `[\"accept\", \"autocomplete\", \"capture\", \"cols\", \"disabled\", \"form\", \"list\", \"max\", \"maxlength\", \"min\", \"minlength\", \"multiple\", \"pattern\", \"placeholder\", \"readonly\", \"required\", \"rows\", \"size\", \"step\"]`.","ref":"ReflectOS.ConsoleWeb.FormComponents.html#input/1-attributes"},{"type":"function","title":"Slots - ReflectOS.ConsoleWeb.FormComponents.input/1","doc":"* `help_text` - the slot for helper text under the input.\n* `icon` - the slot for showing an icon in an input.","ref":"ReflectOS.ConsoleWeb.FormComponents.html#input/1-slots"},{"type":"function","title":"ReflectOS.ConsoleWeb.FormComponents.label/1","doc":"Renders a label.","ref":"ReflectOS.ConsoleWeb.FormComponents.html#label/1"},{"type":"function","title":"Attributes - ReflectOS.ConsoleWeb.FormComponents.label/1","doc":"* `for` (`:string`) - Defaults to `nil`.","ref":"ReflectOS.ConsoleWeb.FormComponents.html#label/1-attributes"},{"type":"function","title":"Slots - ReflectOS.ConsoleWeb.FormComponents.label/1","doc":"* `inner_block` (required)","ref":"ReflectOS.ConsoleWeb.FormComponents.html#label/1-slots"},{"type":"function","title":"ReflectOS.ConsoleWeb.FormComponents.simple_form/1","doc":"Renders a simple form.","ref":"ReflectOS.ConsoleWeb.FormComponents.html#simple_form/1"},{"type":"function","title":"Examples - ReflectOS.ConsoleWeb.FormComponents.simple_form/1","doc":"<.simple_form for={@form} phx-change=\"validate\" phx-submit=\"save\">\n      <.input field={@form[:email]} label=\"Email\"/>\n      <.input field={@form[:username]} label=\"Username\" />\n      <:actions>\n        <.button>Save</.button>\n      </:actions>\n    </.simple_form>","ref":"ReflectOS.ConsoleWeb.FormComponents.html#simple_form/1-examples"},{"type":"function","title":"Attributes - ReflectOS.ConsoleWeb.FormComponents.simple_form/1","doc":"* `for` (`:any`) (required) - the data structure for the form.\n* `as` (`:any`) - the server side parameter to collect all input under. Defaults to `nil`.\n* Global attributes are accepted. the arbitrary HTML attributes to apply to the form tag. Supports all globals plus: `[\"autocomplete\", \"name\", \"rel\", \"action\", \"enctype\", \"method\", \"novalidate\", \"target\", \"multipart\"]`.","ref":"ReflectOS.ConsoleWeb.FormComponents.html#simple_form/1-attributes"},{"type":"function","title":"Slots - ReflectOS.ConsoleWeb.FormComponents.simple_form/1","doc":"* `inner_block` (required)\n* `actions` - the slot for form actions, such as a submit button.","ref":"ReflectOS.ConsoleWeb.FormComponents.html#simple_form/1-slots"},{"type":"function","title":"ReflectOS.ConsoleWeb.FormComponents.translate_error/1","doc":"Translates an error message using gettext.","ref":"ReflectOS.ConsoleWeb.FormComponents.html#translate_error/1"},{"type":"function","title":"ReflectOS.ConsoleWeb.FormComponents.translate_errors/2","doc":"Translates the errors for a field from a keyword list of errors.","ref":"ReflectOS.ConsoleWeb.FormComponents.html#translate_errors/2"},{"type":"module","title":"ReflectOS.ConsoleWeb.Gettext","doc":"A module providing Internationalization with a gettext-based API.\n\nBy using [Gettext](https://hexdocs.pm/gettext),\nyour module gains a set of macros for translations, for example:\n\n    import ReflectOS.ConsoleWeb.Gettext\n\n    # Simple translation\n    gettext(\"Here is the string to translate\")\n\n    # Plural translation\n    ngettext(\"Here is the string to translate\",\n             \"Here are the strings to translate\",\n             3)\n\n    # Domain-based translation\n    dgettext(\"errors\", \"Here is the error message to translate\")\n\nSee the [Gettext Docs](https://hexdocs.pm/gettext) for detailed usage.","ref":"ReflectOS.ConsoleWeb.Gettext.html"},{"type":"function","title":"ReflectOS.ConsoleWeb.Gettext.handle_missing_bindings/2","doc":"","ref":"ReflectOS.ConsoleWeb.Gettext.html#handle_missing_bindings/2"},{"type":"function","title":"ReflectOS.ConsoleWeb.Gettext.handle_missing_plural_translation/7","doc":"","ref":"ReflectOS.ConsoleWeb.Gettext.html#handle_missing_plural_translation/7"},{"type":"function","title":"ReflectOS.ConsoleWeb.Gettext.handle_missing_translation/5","doc":"","ref":"ReflectOS.ConsoleWeb.Gettext.html#handle_missing_translation/5"},{"type":"module","title":"ReflectOS.ConsoleWeb.LayoutComponents","doc":"","ref":"ReflectOS.ConsoleWeb.LayoutComponents.html"},{"type":"function","title":"ReflectOS.ConsoleWeb.LayoutComponents.hide_sidebar/1","doc":"","ref":"ReflectOS.ConsoleWeb.LayoutComponents.html#hide_sidebar/1"},{"type":"function","title":"ReflectOS.ConsoleWeb.LayoutComponents.navbar/1","doc":"","ref":"ReflectOS.ConsoleWeb.LayoutComponents.html#navbar/1"},{"type":"function","title":"ReflectOS.ConsoleWeb.LayoutComponents.show_sidebar/1","doc":"","ref":"ReflectOS.ConsoleWeb.LayoutComponents.html#show_sidebar/1"},{"type":"function","title":"ReflectOS.ConsoleWeb.LayoutComponents.sidebar/1","doc":"","ref":"ReflectOS.ConsoleWeb.LayoutComponents.html#sidebar/1"},{"type":"module","title":"ReflectOS.ConsoleWeb.LayoutLive.ConfigFormComponent","doc":"","ref":"ReflectOS.ConsoleWeb.LayoutLive.ConfigFormComponent.html"},{"type":"module","title":"ReflectOS.ConsoleWeb.LayoutLive.Index","doc":"","ref":"ReflectOS.ConsoleWeb.LayoutLive.Index.html"},{"type":"function","title":"ReflectOS.ConsoleWeb.LayoutLive.Index.render/1","doc":"","ref":"ReflectOS.ConsoleWeb.LayoutLive.Index.html#render/1"},{"type":"module","title":"ReflectOS.ConsoleWeb.LayoutLive.ManageFormComponent","doc":"","ref":"ReflectOS.ConsoleWeb.LayoutLive.ManageFormComponent.html"},{"type":"module","title":"ReflectOS.ConsoleWeb.LayoutLive.NewFormComponent","doc":"","ref":"ReflectOS.ConsoleWeb.LayoutLive.NewFormComponent.html"},{"type":"module","title":"ReflectOS.ConsoleWeb.LayoutLive.NewLayoutWizard","doc":"","ref":"ReflectOS.ConsoleWeb.LayoutLive.NewLayoutWizard.html"},{"type":"module","title":"ReflectOS.ConsoleWeb.LayoutLive.RenameFormComponent","doc":"","ref":"ReflectOS.ConsoleWeb.LayoutLive.RenameFormComponent.html"},{"type":"module","title":"ReflectOS.ConsoleWeb.LayoutManagerLive.ConfigFormComponent","doc":"","ref":"ReflectOS.ConsoleWeb.LayoutManagerLive.ConfigFormComponent.html"},{"type":"module","title":"ReflectOS.ConsoleWeb.LayoutManagerLive.Index","doc":"","ref":"ReflectOS.ConsoleWeb.LayoutManagerLive.Index.html"},{"type":"function","title":"ReflectOS.ConsoleWeb.LayoutManagerLive.Index.render/1","doc":"","ref":"ReflectOS.ConsoleWeb.LayoutManagerLive.Index.html#render/1"},{"type":"module","title":"ReflectOS.ConsoleWeb.LayoutManagerLive.NewFormComponent","doc":"","ref":"ReflectOS.ConsoleWeb.LayoutManagerLive.NewFormComponent.html"},{"type":"module","title":"ReflectOS.ConsoleWeb.LayoutManagerLive.NewLayoutManagerWizard","doc":"","ref":"ReflectOS.ConsoleWeb.LayoutManagerLive.NewLayoutManagerWizard.html"},{"type":"module","title":"ReflectOS.ConsoleWeb.LayoutManagerLive.RenameFormComponent","doc":"","ref":"ReflectOS.ConsoleWeb.LayoutManagerLive.RenameFormComponent.html"},{"type":"module","title":"ReflectOS.ConsoleWeb.Layouts","doc":"This module holds different layouts used by your application.\n\nSee the `layouts` directory for all templates available.\nThe \"root\" layout is a skeleton rendered as part of the\napplication router. The \"app\" layout is set as the default\nlayout on both `use ReflectOS.ConsoleWeb, :controller` and\n`use ReflectOS.ConsoleWeb, :live_view`.","ref":"ReflectOS.ConsoleWeb.Layouts.html"},{"type":"function","title":"ReflectOS.ConsoleWeb.Layouts.app/1","doc":"","ref":"ReflectOS.ConsoleWeb.Layouts.html#app/1"},{"type":"function","title":"ReflectOS.ConsoleWeb.Layouts.root/1","doc":"","ref":"ReflectOS.ConsoleWeb.Layouts.html#root/1"},{"type":"module","title":"ReflectOS.ConsoleWeb.PageComponents","doc":"Provides core page components.","ref":"ReflectOS.ConsoleWeb.PageComponents.html"},{"type":"function","title":"ReflectOS.ConsoleWeb.PageComponents.header/1","doc":"Renders a header with title.","ref":"ReflectOS.ConsoleWeb.PageComponents.html#header/1"},{"type":"function","title":"Attributes - ReflectOS.ConsoleWeb.PageComponents.header/1","doc":"* `class` (`:string`) - Defaults to `nil`.","ref":"ReflectOS.ConsoleWeb.PageComponents.html#header/1-attributes"},{"type":"function","title":"Slots - ReflectOS.ConsoleWeb.PageComponents.header/1","doc":"* `inner_block` (required)\n* `actions`\n* `subtitle`","ref":"ReflectOS.ConsoleWeb.PageComponents.html#header/1-slots"},{"type":"function","title":"ReflectOS.ConsoleWeb.PageComponents.list/1","doc":"Renders a list of items","ref":"ReflectOS.ConsoleWeb.PageComponents.html#list/1"},{"type":"function","title":"Attributes - ReflectOS.ConsoleWeb.PageComponents.list/1","doc":"* `id` (`:any`)\n* `items` (`:list`) (required)\n* `item_id` (`:any`) - the function for generating the item id. Defaults to `nil`.\n* `item_click` (`:any`) - the function for handling phx-click on each item. Defaults to `nil`.\n* `item_map` (`:any`) - the function for mapping each item before. Defaults to `&Function.identity/1`.","ref":"ReflectOS.ConsoleWeb.PageComponents.html#list/1-attributes"},{"type":"function","title":"Slots - ReflectOS.ConsoleWeb.PageComponents.list/1","doc":"* `item` (required) - Slot for rendering the content of a list item.","ref":"ReflectOS.ConsoleWeb.PageComponents.html#list/1-slots"},{"type":"function","title":"ReflectOS.ConsoleWeb.PageComponents.list_item/1","doc":"","ref":"ReflectOS.ConsoleWeb.PageComponents.html#list_item/1"},{"type":"function","title":"Attributes - ReflectOS.ConsoleWeb.PageComponents.list_item/1","doc":"* `icon` (`:string`) - The raw SVG string to be used as an icon.\n* `title_click` (`:any`) - the function for handling phx-click on the title of the item. Defaults to `nil`.\n* `title_icon` (`:string`) - the hericon to append to the title. Defaults to `nil`.\n* `id` (`:any`) - The unique id for this item.\n* `title` (`:string`)\n* `subtitle` (`:string`)\n* `actions` (`:list`) - List of actions to show in the dropdown menu. Defaults to `[]`.","ref":"ReflectOS.ConsoleWeb.PageComponents.html#list_item/1-attributes"},{"type":"function","title":"ReflectOS.ConsoleWeb.PageComponents.toggle_dropdown/2","doc":"","ref":"ReflectOS.ConsoleWeb.PageComponents.html#toggle_dropdown/2"},{"type":"module","title":"ReflectOS.ConsoleWeb.PageController","doc":"","ref":"ReflectOS.ConsoleWeb.PageController.html"},{"type":"function","title":"ReflectOS.ConsoleWeb.PageController.about/2","doc":"","ref":"ReflectOS.ConsoleWeb.PageController.html#about/2"},{"type":"module","title":"ReflectOS.ConsoleWeb.PageHTML","doc":"This module contains pages rendered by PageController.\n\nSee the `page_html` directory for all templates available.","ref":"ReflectOS.ConsoleWeb.PageHTML.html"},{"type":"function","title":"ReflectOS.ConsoleWeb.PageHTML.about/1","doc":"","ref":"ReflectOS.ConsoleWeb.PageHTML.html#about/1"},{"type":"module","title":"ReflectOS.ConsoleWeb.Router","doc":"","ref":"ReflectOS.ConsoleWeb.Router.html"},{"type":"function","title":"ReflectOS.ConsoleWeb.Router.api/2","doc":"","ref":"ReflectOS.ConsoleWeb.Router.html#api/2"},{"type":"function","title":"ReflectOS.ConsoleWeb.Router.browser/2","doc":"","ref":"ReflectOS.ConsoleWeb.Router.html#browser/2"},{"type":"function","title":"ReflectOS.ConsoleWeb.Router.call/2","doc":"Callback invoked by Plug on every request.","ref":"ReflectOS.ConsoleWeb.Router.html#call/2"},{"type":"function","title":"ReflectOS.ConsoleWeb.Router.init/1","doc":"Callback required by Plug that initializes the router\nfor serving web requests.","ref":"ReflectOS.ConsoleWeb.Router.html#init/1"},{"type":"module","title":"ReflectOS.ConsoleWeb.SectionLive.ConfigFormComponent","doc":"","ref":"ReflectOS.ConsoleWeb.SectionLive.ConfigFormComponent.html"},{"type":"module","title":"ReflectOS.ConsoleWeb.SectionLive.Index","doc":"","ref":"ReflectOS.ConsoleWeb.SectionLive.Index.html"},{"type":"function","title":"ReflectOS.ConsoleWeb.SectionLive.Index.render/1","doc":"","ref":"ReflectOS.ConsoleWeb.SectionLive.Index.html#render/1"},{"type":"module","title":"ReflectOS.ConsoleWeb.SectionLive.NewFormComponent","doc":"","ref":"ReflectOS.ConsoleWeb.SectionLive.NewFormComponent.html"},{"type":"module","title":"ReflectOS.ConsoleWeb.SectionLive.NewSectionWizard","doc":"","ref":"ReflectOS.ConsoleWeb.SectionLive.NewSectionWizard.html"},{"type":"module","title":"ReflectOS.ConsoleWeb.SectionLive.RenameFormComponent","doc":"","ref":"ReflectOS.ConsoleWeb.SectionLive.RenameFormComponent.html"},{"type":"module","title":"ReflectOS.ConsoleWeb.SystemLive.Settings","doc":"","ref":"ReflectOS.ConsoleWeb.SystemLive.Settings.html"},{"type":"function","title":"ReflectOS.ConsoleWeb.SystemLive.Settings.render/1","doc":"","ref":"ReflectOS.ConsoleWeb.SystemLive.Settings.html#render/1"},{"type":"module","title":"ReflectOS.ConsoleWeb.Telemetry","doc":"","ref":"ReflectOS.ConsoleWeb.Telemetry.html"},{"type":"function","title":"ReflectOS.ConsoleWeb.Telemetry.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"ReflectOS.ConsoleWeb.Telemetry.html#child_spec/1"},{"type":"function","title":"ReflectOS.ConsoleWeb.Telemetry.metrics/0","doc":"","ref":"ReflectOS.ConsoleWeb.Telemetry.html#metrics/0"},{"type":"function","title":"ReflectOS.ConsoleWeb.Telemetry.start_link/1","doc":"","ref":"ReflectOS.ConsoleWeb.Telemetry.html#start_link/1"},{"type":"extras","title":"ReflectOS Console","doc":"# ReflectOS Console\n\n[![Test](https://github.com/Reflect-OS/console/actions/workflows/test.yml/badge.svg)](https://github.com/Reflect-OS/console/actions/workflows/test.yml)","ref":"readme.html"},{"type":"extras","title":"About - ReflectOS Console","doc":"ReflectOS is the approachable, configurable, and extensible OS for your smart mirror project.  It is designed to allow anyone to easily install, customize, and enjoy a smart mirror/display - no coding or command line usage required!  Instructions for installing on your device and more details about ReflectOS can be found on the [ReflectOS Firmware](https://github.com/Reflect-OS/firmware) project.\n\nThis repo contains the web UI which is used to dynamically configure ReflectOS sections, layouts, and layout managers.  Like the rest of ReflectOS, it is written in Elixir and is built on [Phoenix LiveView](https://hexdocs.pm/phoenix_live_view/welcome.html).  \n\nFor more information on the components of the ReflectOS system, refer to the [ReflectOS Firmware](https://github.com/Reflect-OS/firmware) documentation.\n\nIf you are interested in building your own extensions for ReflectOS, \nplease see the documentation for the [ReflectOS Kernel](https://hexdocs.pm/reflect_os_kernel) library and the examples which ship with the system by default in the [ReflectOS Core](https://hexdocs.pm/reflect_os_core) package.","ref":"readme.html#about"},{"type":"extras","title":"Contributing - ReflectOS Console","doc":"Contributions are welcome for this project!  You can \n[open an issue](https://github.com/Reflect-OS/console/issues) to report a bug or request a feature enhancement.  Code contributions are also welcomed, and can be \nsubmitted by forking this repository and creating a pull request.","ref":"readme.html#contributing"},{"type":"extras","title":"Local Development - ReflectOS Console","doc":"To start your Phoenix server:\n\n  * Run `mix setup` to install and setup dependencies\n  * Start Phoenix endpoint with `mix phx.server` or inside IEx with `iex -S mix phx.server`\n\nNow you can visit [`localhost:4000`](http://localhost:4000) from your browser.","ref":"readme.html#local-development"},{"type":"extras","title":"Learn more about Phoenix - ReflectOS Console","doc":"* Official website: https://www.phoenixframework.org/\n  * Guides: https://hexdocs.pm/phoenix/overview.html\n  * Docs: https://hexdocs.pm/phoenix\n  * Forum: https://elixirforum.com/c/phoenix-forum\n  * Source: https://github.com/phoenixframework/phoenix","ref":"readme.html#learn-more-about-phoenix"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}